CREATE TABLE binaries
(
    id           UUID PRIMARY KEY,
    project_id   UUID                     NOT NULL REFERENCES projects (id) ON DELETE CASCADE,
    filename     VARCHAR(255)             NOT NULL,
    file_size    BIGINT                   NOT NULL,
    format       VARCHAR(30),
    architecture VARCHAR(30),
    compiler     VARCHAR(100),
    file_path    VARCHAR(500)             NOT NULL,
    created_at   TIMESTAMP WITH TIME ZONE NOT NULL,
    updated_at   TIMESTAMP WITH TIME ZONE NOT NULL
);
